Aller au contenu

Hachure - Modification de l'angle


La Lozère
 Partager

Messages recommandés

Bonjour,

Je poste pour ces versions, mais pour moi cela à toujours était le cas, mais juste je prends un peu de temps aujourd'hui pour essayer de comprendre le comportement des angles des hachures quand on veut les modifier.

Lorsque je créais une hachure, il arrive parfois que je veuille modifier l'angle. Et là, c'est toujours au pif. J'ai beaucoup de mal à saisir une valeur. Quand je suis en degrés décimaux cela devrait être simple. Il devrait suffire de saisir l'angle que l'on veut. Mais non, j'ai l'impression que cet angle ne respecte pas ce qui est définit via la commande UNITES.
Je ne vous parle même pas quand je suis en grades. Ce qui est tout le temps mon cas.... Ca fait n'importe quoi....

Est-ce uniquement mon cas, ou pareil pour vous ?

Ci-dessous une petite vidéo explicative.
https://autode.sk/3BUiWX9

Merci.

www.cad-is.fr
Autocad Map 2021 - Covadis/Autopiste V17.1d - Mensura Genius V8
Nous n’héritons pas de la Terre de nos ancêtres, nous l’empruntons à nos enfants
Lien vers le commentaire
Partager sur d’autres sites

Bonjour @La Lozère,

Ca vient surtout du fait qu'en topo on n'a pas le zéro à l'est mais au nord et que l'on tourne en sens horaire, et là AutoCAD ne sais pas toujours faire correspondre les valeurs cliquées, saisies ou affichées en tenant compte des variables ANGBASE et ANGDIR.
AutoCAD affichera par défaut 90 - "angle saisi" si tu est en degré ou 100 - "angle saisi" si tu es en grade.

Dans ta vidéo,  quand tu tapes :

135, lui affiche 90-135 = -45 => 315 (ramené en 0 et 360°)

5, lui affiche 90 - 5 = 85 ...

On a le même problème sur l'angle de rotation lors des insertions de bloc, sur la rotation des attributs lors de leur définition (ATTDEF)...

On peut toujours essayer de remonter le problème chez Autodesk, mais le plus simple, c'est de faire 2 boutons pour basculer ces 2 variables en fonction de ce que tu fais, ou alors tu arrêtes la topo 😁

Olivier

Lien vers le commentaire
Partager sur d’autres sites

Il y a 1 heure, Olivier Eckmann a dit :

Bonjour @La Lozère,

Ca vient surtout du fait qu'en topo on n'a pas le zéro à l'est mais au nord et que l'on tourne en sens horaire, et là AutoCAD ne sais pas toujours faire correspondre les valeurs cliquées, saisies ou affichées en tenant compte des variables ANGBASE et ANGDIR.
AutoCAD affichera par défaut 90 - "angle saisi" si tu est en degré ou 100 - "angle saisi" si tu es en grade.

Dans ta vidéo,  quand tu tapes :

135, lui affiche 90-135 = -45 => 315 (ramené en 0 et 360°)

5, lui affiche 90 - 5 = 85 ...

On a le même problème sur l'angle de rotation lors des insertions de bloc, sur la rotation des attributs lors de leur définition (ATTDEF)...

On peut toujours essayer de remonter le problème chez Autodesk, mais le plus simple, c'est de faire 2 boutons pour basculer ces 2 variables en fonction de ce que tu fais, ou alors tu arrêtes la topo 😁

Olivier

Merci pour ces précisions Olivier. Pour autant, je pense quand même qu'il y a un bug. Car même si je reviens à une configuration plus classique grades et le zéro à l'est, il y a un comportement bizarre.
Exemple ci-dessous. Où je suis en grades et le zéro au nord. Quand je saisi 100gr, il renvoie 270gr 🤔
https://autode.sk/2X3MMKd

Arrêter la topo est peut-être une solution....😂

www.cad-is.fr
Autocad Map 2021 - Covadis/Autopiste V17.1d - Mensura Genius V8
Nous n’héritons pas de la Terre de nos ancêtres, nous l’empruntons à nos enfants
Lien vers le commentaire
Partager sur d’autres sites

Bonjour à toutes et tous,

 

J'utilise énormément l'outil "dessin des bâtiments" de Covadis qui fait tout seul ce que fait "manuellement" pour ne pas avoir le "soucis" que tu rencontre @La Lozère, à savoir :

 

SCU objet selon l'orientation souhaitée, puis hachure. Il est alors, "très simple" de modifier l'angle souhaité,..

Civil 3D 2022 - COVADIS_17.1d

https://www.linkedin...3%ABt-95313341/

Lien vers le commentaire
Partager sur d’autres sites

@La Lozère Je confirme que la valeur saisie dans le ruban est convertie de grade en degré, mais ensuite cette valeur est appliquée en grade.

Quand tu tapes 50, il convertit en 45 (50g => 45°) mais il utilise 45g ce qui donne n'importe quoi.

Par contre dans la palette de propriété, c'est bon. Si tu tapes 50g il applique bien 50g.

@rebcao t'expliquerait que le ruban c'est de la m****e, c'est pour ça qu'il travaille en mode classique.

 

Olivier

Lien vers le commentaire
Partager sur d’autres sites

Citation

Par contre dans la palette de propriété, c'est bon. Si tu tapes 50g il applique bien 50g.

@Olivier Eckmann Ha, ça c'est MA solution. Merci, je n'avais pas remarqué.

@lili2006 merci, mais je trouve ça un peu trop lourd pour une simple hachure. Mais je vais approfondir quand même.

www.cad-is.fr
Autocad Map 2021 - Covadis/Autopiste V17.1d - Mensura Genius V8
Nous n’héritons pas de la Terre de nos ancêtres, nous l’empruntons à nos enfants
Lien vers le commentaire
Partager sur d’autres sites

bonjour

un petit lisp  pour donner un angle aux hachures en fonction de deux points.

suffit de répondre "N" ( majuscule ) pour choisir un autre angle incrémenter tous les 45 degres.

ca marche que le fichier soit en degrés, radiant, ou autre

a tester

a+

Phil

 

(defun c:hachure_rotation (/ a0 a1 cals surfent surfent ent js)
  (setvar "cmdecho" 0)
  (setvar "dimzin" 0)
  (command-s "scu" "")
  (prompt "\nAGIT SUR L'ANGLE DE ROTATION DES HACHURES :")
  (setq poi1 nil)
  (while (null poi1) (setq poi1 (getpoint "\nPOINT DE BASE N° 1")))
  (setq poi2 nil)
  (while (null poi2) (setq poi2 (getpoint "\nPOINT DE BASE N° 2")))
  (prompt "\nCLIQUER SUR LE(S) HACHURE(S) A REMPLACER :")
  (setq bl nil)
  (while (null bl) (setq bl (ssget (list (cons 0 "HATCH")))))
  (setq rempbl (angle poi1 poi2))
  (setq ent nil)
  (setq compt 0)
  (setq com (sslength bl))
  (command-s "ANNULER" "M")
  (while (< compt com)
    (progn (setq ent (entget (ssname bl compt)))
           (vla-put-patternangle (vlax-ename->vla-object (cdr (car (entget (ssname bl compt))))) rempbl)
           (setq compt (1+ compt))
    )
  )
  (initget "O N")
  (setq repon (getkword "\nEST CE LE BON ANGLE ? (O/N):"))
  (if (= repon "N")
    (progn
      (command-s "ANNULER" "R")
      (setq compt 0)
      (command-s "ANNULER" "M")
      (setq rempbl (+ (angle poi1 poi2) (/ pi 4)))
      (while (< compt com)
        (progn (setq ent (entget (ssname bl compt)))
               (vla-put-patternangle (vlax-ename->vla-object (cdr (car (entget (ssname bl compt))))) rempbl)
               (setq compt (1+ compt))
        )
      )
      (initget "O N")
      (setq repon (getkword "\nEST CE LE BON ANGLE ? (O/N):"))
      (if (= repon "N")
        (progn
          (command-s "ANNULER" "R")
          (setq compt 0)
          (command-s "ANNULER" "M")
          (setq rempbl (+ (angle poi1 poi2) (/ pi 2)))
          (while (< compt com)
            (progn (setq ent (entget (ssname bl compt)))
                   (vla-put-patternangle (vlax-ename->vla-object (cdr (car (entget (ssname bl compt))))) rempbl)
                   (setq compt (1+ compt))
            )
          )
          (initget "O N")
          (setq repon (getkword "\nEST CE LE BON ANGLE ? (O/N):"))
          (if (= repon "N")
            (progn
              (command-s "ANNULER" "R")
              (setq compt 0)
              (command-s "ANNULER" "M")
              (setq rempbl (+ (angle poi1 poi2) (+ (/ pi 2) (/ pi 4))))
              (while (< compt com)
                (progn (setq ent (entget (ssname bl compt)))
                       (vla-put-patternangle (vlax-ename->vla-object (cdr (car (entget (ssname bl compt))))) rempbl)
                       (setq compt (1+ compt))
                )
              )
              (initget "O N")
              (setq repon (getkword "\nEST CE LE BON ANGLE ? (O/N):"))
              (if (= repon "N")
                (progn
                  (command-s "ANNULER" "R")
                  (setq compt 0)
                  (command-s "ANNULER" "M")
                  (setq rempbl (+ (angle poi1 poi2) pi))
                  (while (< compt com)
                    (progn (setq ent (entget (ssname bl compt)))
                           (vla-put-patternangle (vlax-ename->vla-object (cdr (car (entget (ssname bl compt))))) rempbl)
                           (setq compt (1+ compt))
                    )
                  )
                  (initget "O N")
                  (setq repon (getkword "\nEST CE LE BON ANGLE ? (O/N):"))
                  (if (= repon "N")
                    (progn
                      (command-s "ANNULER" "R")
                      (setq compt 0)
                      (command-s "ANNULER" "M")
                      (setq rempbl (+ (angle poi1 poi2) (+ pi (/ pi 4))))
                      (while (< compt com)
                        (progn
                          (setq ent (entget (ssname bl compt)))
                          (vla-put-patternangle (vlax-ename->vla-object (cdr (car (entget (ssname bl compt))))) rempbl)
                          (setq compt (1+ compt))
                        )
                      )
                      (initget "O N")
                      (setq repon (getkword "\nEST CE LE BON ANGLE ? (O/N):"))
                      (if (= repon "N")
                        (progn
                          (command-s "ANNULER" "R")
                          (setq compt 0)
                          (command-s "ANNULER" "M")
                          (setq rempbl (+ (angle poi1 poi2) (+ pi (/ pi 2))))
                          (while (< compt com)
                            (progn (setq ent (entget (ssname bl compt)))
                                   (vla-put-patternangle (vlax-ename->vla-object (cdr (car (entget (ssname bl compt)))))
                                                         rempbl
                                   )
                                   (setq compt (1+ compt))
                            )
                          )
                          (initget "O N")
                          (setq repon (getkword "\nEST CE LE BON ANGLE ? (O/N):"))
                          (if (= repon "N")
                            (progn
                              (command-s "ANNULER" "R")
                              (setq compt 0)
                              (command-s "ANNULER" "M")
                              (setq rempbl (+ (angle poi1 poi2) (+ pi (/ pi 2) (/ pi 4))))
                              (while (< compt com)
                                (progn
                                  (setq ent (entget (ssname bl compt)))
                                  (vla-put-patternangle (vlax-ename->vla-object (cdr (car (entget (ssname bl compt)))))
                                                        rempbl
                                  )
                                  (setq compt (1+ compt))
                                )
                              )
                            )
                          )
                        )
                      )
                    )
                  )
                )
              )
            )
          )
        )
      )
    )
  )
  (setvar "dimzin" 8)
  (command-s "scu" "p")
  (princ)
  (princ)
)

 

 

 

Autodesk Architecture 2019 sous windows 10 64

24 pouces vertical + 30 pouces horizontal + 27 pouces horizontal

Lien vers le commentaire
Partager sur d’autres sites

Bonjour, 

J'ai signalé le bug des angles des hachures en grades, mais je n'ai pas réussi à reproduire le problème avec l'angle des blocs et des attributs comme signalé par Olivier. Si quelqu'un pouvait me faire une démonstration, je l'ajouterai à mon signalement.

Merci.

Lien vers le commentaire
Partager sur d’autres sites

Invité Olivier Eckmann

Bonjour Eric,

 

Le lien d'un petit screencast de ce que j'ai constaté : https://autode.sk/3hnLctJ

Pour l'insertion des blocs, on se retrouve avec un angle dynamique qui est tourné de 90° (100g). Pas forcément un bug 🤔, mais très gênant.

Pour la définition d'attribut, lorsque tu as le 0 à l'est, le dialogue te propose 0g pour l'angle de rotation ce qui est logique pour obtenir un texte horizontal. Lorsque tu as le 0 au nord (+ sens horaire) le dialogue te propose 100g ce qui est logique pour avoir un texte horizontal, sauf qu'il crée un attribut avec une rotation de 0 (donc vertical). D'aussi loin que je me rappelle, ça l'a toujours fait comme ça dans AutoCAD, donc on fait avec.

J'espère que c'est plus clair, et merci pour remonter l'info.

 

Olivier

Lien vers le commentaire
Partager sur d’autres sites

Bonjour Olivier, 

Ok, merci pour la vidéo. Est-ce que tu m'autorises à l'ajouter à mon signalement, ça sera plus simple que de refaire une explication.

Lien vers le commentaire
Partager sur d’autres sites

Invité
Répondre à ce sujet…

×   Collé en tant que texte enrichi.   Coller en tant que texte brut à la place

  Seulement 75 émoticônes maximum sont autorisées.

×   Votre lien a été automatiquement intégré.   Afficher plutôt comme un lien

×   Votre contenu précédent a été rétabli.   Vider l’éditeur

×   Vous ne pouvez pas directement coller des images. Envoyez-les depuis votre ordinateur ou insérez-les depuis une URL.

Chargement
 Partager

×
×
  • Créer...